summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1999-04-11 02:17:48 +0000
committerJim Meyering <jim@meyering.net>1999-04-11 02:17:48 +0000
commit12562e897d922edb017e5a7985151b5d3884ed71 (patch)
treebf5a4b80e906787d110636c5906a57b012170a14
parentcc40ff77a86ce93f1d45a75e2786929cdf134943 (diff)
downloadcoreutils-12562e897d922edb017e5a7985151b5d3884ed71.tar.xz
.
-rw-r--r--tests/dd/.cvsignore1
-rw-r--r--tests/dd/Makefile.am12
-rwxr-xr-xtests/dd/misc23
3 files changed, 36 insertions, 0 deletions
diff --git a/tests/dd/.cvsignore b/tests/dd/.cvsignore
new file mode 100644
index 000000000..f3c7a7c5d
--- /dev/null
+++ b/tests/dd/.cvsignore
@@ -0,0 +1 @@
+Makefile
diff --git a/tests/dd/Makefile.am b/tests/dd/Makefile.am
new file mode 100644
index 000000000..f0ef92a22
--- /dev/null
+++ b/tests/dd/Makefile.am
@@ -0,0 +1,12 @@
+## Process this file with automake to produce Makefile.in -*-Makefile-*-.
+
+EXTRA_DIST = $(TESTS)
+
+TESTS_ENVIRONMENT = \
+ top_srcdir=$(top_srcdir) \
+ srcdir=$(srcdir) \
+ PERL="@PERL@" \
+ PATH=../../src:$$PATH \
+ PROG=ls
+
+TESTS = misc
diff --git a/tests/dd/misc b/tests/dd/misc
new file mode 100755
index 000000000..1100f110a
--- /dev/null
+++ b/tests/dd/misc
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+tmp_in=dd-in.$$
+tmp_out=dd-out.$$
+
+if test "$VERBOSE" = yes; then
+ set -x
+ dd --version
+fi
+
+test_failure=0
+echo data > $tmp_in || test_failure=1
+if test $test_failure = 1; then
+ echo 'failure in testing framework'
+ exit 1
+fi
+
+dd if=$tmp_in of=$tmp_out > /dev/null 2>&1 || fail=1
+cmp $tmp_in $tmp_out || fail=1
+
+rm -f $tmp_in $tmp_out
+
+exit $fail